package com.persagy.apm.report.common.utils;

import cn.hutool.core.util.StrUtil;
import com.persagy.apm.report.common.constants.DataConstants;

import java.util.Arrays;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

/**
 * apm开发部字符串工具类
 *
 * @author lixing
 * @version V1.0 2021/7/19 10:28 上午
 **/
public class ApmStrUtils {
    /**
     * 字符串转换为列表（默认分隔符为'，'）
     *
     * @param str 字符串
     * @return 字符串列表
     * @author lixing
     * @version V1.0 2021/7/19 10:30 上午
     */
    public static List<String> str2List(String str) {
        return str2List(str, DataConstants.SPLIT_FLAG);
    }

    /**
     * 字符串转换为列表
     *
     * @param str 字符串
     * @param splitFlag 字符串分隔符
     * @return 字符串列表
     * @author lixing
     * @version V1.0 2021/7/19 10:30 上午
     */
    public static List<String> str2List(String str, String splitFlag) {
        if (StrUtil.isBlank(str)) {
            return null;
        }
        return Arrays.asList(StrUtil.split(str, splitFlag));
    }

    /**
     * 字符串转换为Set（默认分隔符为'，'）
     *
     * @param str 字符串
     * @return 字符串Set
     * @author lixing
     * @version V1.0 2021/7/19 10:30 上午
     */
    public static Set<String> str2Set(String str) {
        List<String> strList = str2List(str);
        return new HashSet<>(strList);
    }

}
