package com.persagy.apm.report.dependencies.environment.service;

import com.persagy.apm.report.indicator.model.entity.EnvDefine;
import io.swagger.annotations.Api;

import java.util.Date;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021/8/4 10:50 上午
 */
@Api(value = "环境健康管理service接口")
public interface IEnvironmentWebService {

    /**
     * 获取项目当月环境指标的达标率
     *
     * @param projectId 项目id
     * @param date 月份 （**年**月1日 00：00：00）
     * @param envDefine 环境指标定义对象
     * @return 项目当月环境指标的达标率
     * @author lixing
     * @version V1.0 2021/8/3 2:39 下午
     */
    Double getEnvComplianceRate(String projectId, Date date, EnvDefine envDefine);

    /**
     * 查询环境指标关联的报警条目
     *
     * @param envDefine 环境指标定义对象
     * @return 环境指标关联的报警条目id列表
     * @author lixing
     * @version V1.0 2021/8/4 2:33 下午
     */
    List<String> queryEnvAlarmItems(EnvDefine envDefine);
}
