package com.persagy.apm.report.dependencies.manualfilling.client;

import com.persagy.apm.common.response.PoemsFeignResponse;
import com.persagy.apm.report.common.constants.FeignClientNameConstants;
import com.persagy.apm.report.common.config.FeignConfig;
import com.persagy.apm.report.dependencies.manualfilling.model.dto.QueryIndicatorFillingDataDTO;
import com.persagy.apm.report.dependencies.manualfilling.client.fallback.ManualFillingWebClientFallbackFactory;
import com.persagy.apm.report.dependencies.manualfilling.model.vo.IndicatorFillingDataVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * 数据录入feign客户端
 **/
@FeignClient(name = FeignClientNameConstants.MANUAL_FILLING, fallbackFactory = ManualFillingWebClientFallbackFactory.class,
        configuration = FeignConfig.class)
public interface ManualFillingWebClient {

    @PostMapping("/dataFillingManage/queryIndicatorFillingData")
    PoemsFeignResponse<IndicatorFillingDataVo> listIndicatorFillingDataByParam(QueryIndicatorFillingDataDTO queryIndicatorFillingDataDTO);

}
