package com.persagy.apm.report.indicator.manualfilling.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;

import java.io.Serializable;
import java.util.Date;

/**
 * 数据录入数据(ManualFillingData)实体类
 *
 * @author lixing
 * @version V1.0 2021-07-27 09:52:20
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "数据录入数据")
public class ManualFillingData extends AuditableEntity<ManualFillingData> implements Serializable {
    private static final long serialVersionUID = -70880808165184982L;

    @ApiModelProperty("功能点id")
    private String functionId;

    @ApiModelProperty("项目主键")
    private String projectId;

    @ApiModelProperty("数据时间")
    private Date dataTime;

    @ApiModelProperty("数据类型")
    private String type;

    @ApiModelProperty("信息点的值")
    private String value;


    public static String PROP_FUNCTION_ID = "function_id";
    public static String PROP_PROJECT_ID = "project_id";
    public static String PROP_DATA_TIME = "data_time";
    public static String PROP_TYPE = "type";
    public static String PROP_VALUE = "value";

}
