package com.persagy.apm.report.indicator.model;

import com.persagy.apm.report.indicator.model.entity.BudgetDefine;
import com.persagy.apm.report.indicator.model.entity.EnergyUsageDefine;
import org.mapstruct.Mapper;
import org.mapstruct.NullValueCheckStrategy;
import org.mapstruct.NullValueMappingStrategy;
import org.mapstruct.factory.Mappers;

/**
 * 报告段落定义转换工具类
 *
 * @author lixing
 * @version V1.0 2021/7/26 5:32 下午
 */
@Mapper(nullValueMappingStrategy = NullValueMappingStrategy.RETURN_DEFAULT,
        nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS)
public interface ConvertDefineTool {

    ConvertDefineTool INSTANCE = Mappers.getMapper(ConvertDefineTool.class);

    /**
     * budgeDefine转换为energyUsageDefine
     *
     * @param budgetDefine 预算指标定义
     * @return 能耗指标定义
     * @author lixing
     * @version V1.0 2021-07-14 16:59:59
     */
    EnergyUsageDefine convert2EnergyUsageDefine(BudgetDefine budgetDefine);

}

