package com.persagy.apm.report.paragraphs.utils;

import com.persagy.apm.report.detail.model.vo.AttrValueVO;
import com.persagy.apm.report.detail.model.vo.ItemVO;
import com.persagy.apm.report.paragraphs.constants.ItemAttrConstants;
import com.persagy.apm.report.paragraphs.service.impl.ParagraphBuilder;

import java.util.HashMap;
import java.util.Map;
import java.util.Set;

/**
 * 段落工具类
 *
 * @author lixing
 * @version V1.0 2021/8/4 8:31 下午
 **/
public class ParagraphUtils {
    /**
     * 将条目转换为map
     *
     * @param itemVO 条目对象
     * @param codeSet 需要转换的属性集
     * @return 根据条目转换成的map对象
     * @author lixing
     * @version V1.0 2021/8/4 8:38 下午
     */
    public static Map<String, String> item2Map(ItemVO itemVO, Set<String> codeSet) {
        Map<String, String> itemMap = new HashMap<>();
        itemMap.put(ItemAttrConstants.ID, itemVO.getId());
        itemMap.put(ItemAttrConstants.NAME, itemVO.getName());
        Map<String, AttrValueVO> attrMap = ParagraphBuilder.attrValueList2Map(codeSet, itemVO.getAttrs());
        for (String key : attrMap.keySet()) {
            itemMap.put(key, attrMap.get(key).getValue());
        }
        return itemMap;
    }
}
