package com.persagy.apm.report.userconfig.paragraphcustom.model.dto;

import com.persagy.apm.report.detail.model.vo.AttrDefineVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;

import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-07-15 18:12:05
 */
@Data
@ApiModel(value = "创建段落定制入参")
public class AddParagraphCustomDTO {
    @ApiModelProperty(value = "段落定义主键", required = true)
    @NotNull(message = "段落定义主键不能为空") 
    private String defineId;

    @ApiModelProperty(value = "头部属性", required = true)
    @NotNull(message = "头部属性不能为空") 
    private List<AttrDefineVO> headerAttrs;

    @ApiModelProperty(value = "列表属性", required = true)
    @NotNull(message = "列表属性不能为空") 
    private List<AttrDefineVO> listAttrs;

    @ApiModelProperty(value = "补充说明", required = true)
    @NotNull(message = "补充说明")
    private List<AttrDefineVO> supplement;
}
