package com.persagy.apm.report.userconfig.statisticsitems.enums;

import lombok.Getter;
import lombok.Setter;

/**
 * 是否合格枚举类
 *
 * @author lixing
 * @version V1.0 2021/8/2 8:00 下午
 **/
public enum QualifiedEnum {
    /**
     * 是否合格
     */
    QUALIFIED(0d, "合格"),
    NOT_QUALIFIED(1d, "不合格");

    @Setter
    @Getter
    private Double type;
    @Setter
    @Getter
    private String desc;

    QualifiedEnum(Double type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    /**
     * 根据type获取到枚举对象
     *
     * @param type 编码
     * @return 枚举对象
     * @author lixing
     * @version V1.0 2021/5/31 4:06 下午
     */
    public static QualifiedEnum getByType(Double type) {
        if (type == null) {
            return null;
        }
        QualifiedEnum[] qualifiedEnums = QualifiedEnum.values();
        for (QualifiedEnum qualifiedEnum : qualifiedEnums) {
            if (type.equals(qualifiedEnum.getType())) {
                return qualifiedEnum;
            }
        }
        return null;
    }
}
