package com.persagy.apm.report.userconfig.statisticsitems.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;

import java.io.Serializable;

/**
 * 统计条目(StatisticItem)实体类
 *
 * @author lixing
 * @version V1.0 2021-07-27 16:11:58
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "统计条目")
public class StatisticItem extends AuditableEntity<StatisticItem> implements Serializable {
    private static final long serialVersionUID = 639329214475381567L;

    @ApiModelProperty("编码")
    private String code;

    @ApiModelProperty("合格标准")
    private String standardValue;

    @ApiModelProperty("合格的判断公式")
    private String qualifyFormula;

    @ApiModelProperty("合格的判断标准（展示用）")
    private String standardFlag;


    public static String PROP_CODE = "code";
    public static String PROP_STANDARD_VALUE = "standard_value";
    public static String PROP_QUALIFY_FORMULA = "qualify_formula";
    public static String PROP_STANDARD_FLAG = "standard_flag";

}
